Skip to main content

Access Keys Actions

https://api.app.wnology.io/applications/APPLICATION_ID/keys

Below are the various requests that can be performed against the Access Keys resource, as well as the expected parameters and the potential responses.

Get​

Returns the applicationKeys for an application

Method And Url ​

GET https://api.app.wnology.io/applications/APPLICATION_ID/keys

Authentication ​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, applicationKeys.*, or applicationKeys.get.

Request Path Components ​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters ​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: key, status, id, creationDate, lastUpdated, namecreationDatesortField=creationDate
sortDirectionNDirection to sort the results by. Accepted values are: asc, descdescsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: key, status, namefilterField=key
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=the*key
queryNApplication key filter JSON object which overrides the filterField and filter parameters. See Advanced Application Key Query for more details.query={"$nor":[{"id":"575ec8687ae143cd83dc4a97"},{"description":"my access key"},{"lastUpdated":{"$lt":1612189931000}}]}

Request Headers ​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example ​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/keys

Successful Responses ​

CodeTypeDescription
200Application KeysCollection of applicationKeys

Error Responses ​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new applicationKey for an application

Method And Url ​

POST https://api.app.wnology.io/applications/APPLICATION_ID/keys

Authentication ​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, applicationKeys.*, or applicationKeys.post.

Request Path Components ​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers ​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body ​

The body of the request should be serialized JSON that validates against the Application Key Post schema. For example, the following would be a valid body for this request:

{
"description": "An example new key description",
"filterType": "all",
"pubTopics": [],
"subTopics": []
}

Curl Example ​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"description":"An example new key description","filterType":"all","pubTopics":[],"subTopics":[]}' \
https://api.app.wnology.io/applications/APPLICATION_ID/keys

Successful Responses ​

CodeTypeDescription
201Application Key Post ResponseSuccessfully created applicationKey

Error Responses ​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Advanced Application Key Query​

Schema for advanced application key queries

Advanced Application Key Query Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 17 keys
      • ▶
        {} 3 keys
        • ▶
          {} 3 keys
          • ▶
            {} 3 keys
            • ▶
              {} 1 key
              • ▶
                {} 1 key
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                              • ▶
                                {} 1 key
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 1 key
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 1 key

                                    Advanced Application Key Query Example​

                                    • ▶
                                      {} 1 key
                                      • ▶
                                        [] 3 items

                                      Application Key Post​

                                      Schema for the body of an Application Key creation request

                                      Application Key Post Schema​

                                      • ▶
                                        {} 4 keys
                                        • "http://json-schema.org/draft-07/schema#"
                                        • "object"
                                        • ▶
                                          {} 9 keys
                                          • ▶
                                            {} 3 keys
                                            • ▶
                                              {} 3 keys
                                              • ▶
                                                {} 3 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 1 key
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 2 keys
                                                          • ▶
                                                            {} 3 keys
                                                          • false

                                                        Application Key Post Example​

                                                        • ▶
                                                          {} 4 keys
                                                          • "An example new key description"
                                                          • "all"
                                                          • [] 0 items
                                                            • [] 0 items

                                                            Application Key Post Response​

                                                            Schema for a response of Application Key creation

                                                            Application Key Post Response Schema​

                                                            • ▶
                                                              {} 3 keys
                                                              • "http://json-schema.org/draft-07/schema#"
                                                              • "object"
                                                              • ▶
                                                                {} 21 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 2 keys
                                                                    • ▶
                                                                      {} 2 keys
                                                                      • ▶
                                                                        {} 2 keys
                                                                        • ▶
                                                                          {} 2 keys
                                                                          • ▶
                                                                            {} 2 keys
                                                                            • ▶
                                                                              {} 2 keys
                                                                              • ▶
                                                                                {} 2 keys
                                                                                • ▶
                                                                                  {} 2 keys
                                                                                  • ▶
                                                                                    {} 1 key
                                                                                    • ▶
                                                                                      {} 2 keys
                                                                                      • ▶
                                                                                        {} 1 key
                                                                                        • ▶
                                                                                          {} 3 keys
                                                                                          • ▶
                                                                                            {} 3 keys
                                                                                            • ▶
                                                                                              {} 3 keys
                                                                                              • ▶
                                                                                                {} 2 keys
                                                                                                • ▶
                                                                                                  {} 1 key
                                                                                                  • ▶
                                                                                                    {} 2 keys
                                                                                                    • ▶
                                                                                                      {} 2 keys
                                                                                                      • ▶
                                                                                                        {} 2 keys
                                                                                                        • ▶
                                                                                                          {} 3 keys

                                                                                                      Application Key Post Response Example​

                                                                                                      • ▶
                                                                                                        {} 12 keys
                                                                                                        • "575ec76c7ae143cd83dc4a96"
                                                                                                        • "575ec76c7ae143cd83dc4a96"
                                                                                                        • "575ec8687ae143cd83dc4a97"
                                                                                                        • "2016-06-13T04:00:00.000Z"
                                                                                                        • "2016-06-13T04:00:00.000Z"
                                                                                                        • "this_would_be_the_key"
                                                                                                        • "active"
                                                                                                        • "shhhSecret"
                                                                                                        • "An example key description"
                                                                                                        • "all"
                                                                                                        • [] 0 items
                                                                                                          • [] 0 items

                                                                                                          Application Keys​

                                                                                                          Schema for a collection of Application Keys

                                                                                                          Application Keys Schema​

                                                                                                          • ▶
                                                                                                            {} 3 keys
                                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                                            • "object"
                                                                                                            • ▶
                                                                                                              {} 10 keys
                                                                                                              • ▶
                                                                                                                {} 2 keys
                                                                                                                • ▶
                                                                                                                  {} 1 key
                                                                                                                  • ▶
                                                                                                                    {} 1 key
                                                                                                                    • ▶
                                                                                                                      {} 1 key
                                                                                                                      • ▶
                                                                                                                        {} 1 key
                                                                                                                        • ▶
                                                                                                                          {} 1 key
                                                                                                                          • ▶
                                                                                                                            {} 1 key
                                                                                                                            • ▶
                                                                                                                              {} 1 key
                                                                                                                              • ▶
                                                                                                                                {} 2 keys
                                                                                                                                • ▶
                                                                                                                                  {} 2 keys

                                                                                                                              Application Keys Example​

                                                                                                                              • ▶
                                                                                                                                {} 8 keys
                                                                                                                                • ▶
                                                                                                                                  [] 1 item
                                                                                                                                  • 1
                                                                                                                                  • 4
                                                                                                                                  • 1
                                                                                                                                  • 0
                                                                                                                                  • "key"
                                                                                                                                  • "asc"
                                                                                                                                  • "575ec8687ae143cd83dc4a97"

                                                                                                                                Error​

                                                                                                                                Schema for errors returned by the API

                                                                                                                                Error Schema​

                                                                                                                                • ▶
                                                                                                                                  {} 3 keys
                                                                                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                                                                                  • "object"
                                                                                                                                  • ▶
                                                                                                                                    {} 2 keys
                                                                                                                                    • ▶
                                                                                                                                      {} 1 key
                                                                                                                                      • ▶
                                                                                                                                        {} 1 key

                                                                                                                                    Error Example​

                                                                                                                                    • ▶
                                                                                                                                      {} 2 keys
                                                                                                                                      • "NotFound"
                                                                                                                                      • "Application was not found"

                                                                                                                                    Was this page helpful?


                                                                                                                                    Still looking for help? You can also search the WEGnology Forums or submit your question there.